Bug 186683 - ncpmount needs downgrade to work properly
ncpmount needs downgrade to work properly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncpfs (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 07:00 EST by Jaroslav Sebestik
Modified: 2016-03-27 10:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 05:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of ncpmount from the test package (159 bytes, text/plain)
2006-03-29 05:54 EST, vvs
no flags Details
proposed patch (342 bytes, text/x-patch)
2006-04-11 05:43 EDT, Martin Stransky
no flags Details

  None (edit)
Description Jaroslav Sebestik 2006-03-25 07:00:50 EST
Description of problem:
I have upgraded from Fedora Core 3 to Fedora Core 5. The programs ncpmount and
ncplogin are not able to connect to NetWare server. Command line parameters are
the same as in FC3, where it works without any problem. 
The prgram reports following error:
ncpmount: Invalid server response (-330) in nds login
Login denied.

The solution of this problem was downgrade to package ncpfs-2.2.4-5.FC3.i386.rpm
then it works without problems.

Version-Release number of selected component (if applicable):
2.2.6-1.2.1

How reproducible:
Completly

Steps to Reproduce:
1. /usr/bin/ncpmount -S FS1 -U pept.chp.uochb -P ********** /mnt/FS1
the asterikses are used instead of password
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 vvs 2006-03-28 03:08:55 EST
Actually, the version 2.2.6-1.2.1 works if it's compiled from source rpm on FC4
using gcc-4.0.2-8. So, it seems more like gcc optimization bug to me. I didn't
try to use gcc-4.1.0 with -O0 though.
Comment 2 Mathieu Brabant 2006-03-28 10:50:25 EST
  Good call Victor.  I recompiled ncpfs-2.2.6-1.2.1 on FC5 with gcc-4.1.0-3
without gcc optimization (got rid of the -O2 parameter) and it fixed the problem
of "Invalid server response (-330) in nds login".  Thanks !

  To get rid of the -O2 I had to patch the configure file (-O2 seems hard coded
in there ?!) and remove the $RPM_OPT_FLAGS from the spec file.  Couldn't find
where $RPM_OPT_FLAGS was picking its -O2 from ?  There has to be an easier way
of doing it but I didn't have hours to spend.
Comment 3 vvs 2006-03-28 23:57:35 EST
Please, can someone with sufficient privileges change the component field to gcc?
Comment 4 Martin Stransky 2006-03-29 03:37:30 EST
Could you please check this package?

http://people.redhat.com/stransky/ncpfs/

It has some debug output, please attach it after ncpmount failed.
Comment 5 vvs 2006-03-29 05:54:37 EST
Created attachment 126969 [details]
output of ncpmount from the test package
Comment 6 Martin Stransky 2006-03-31 13:30:48 EST
I released package w/o optimalization for FC5, you can check it. Unfortunately I
don't have any netware server handy so I can't track it down.
Comment 7 Jaroslav Sebestik 2006-04-01 13:11:11 EST
(In reply to comment #6)
> I released package w/o optimalization for FC5, you can check it. Unfortunately I
> don't have any netware server handy so I can't track it down.
OK,

it works. Problem was removed. Thank you.
Comment 8 Martin Stransky 2006-04-11 05:43:03 EDT
Created attachment 127604 [details]
proposed patch

fix for this issue, heads to rawhide....

Note You need to log in before you can comment on or make changes to this bug.